Bug 829866 - SELinux is preventing /usr/bin/passwd from 'getattr' accesses on the sock_file /run/user/frywalker/keyring-Hlndxz/control.
SELinux is preventing /usr/bin/passwd from 'getattr' accesses on the sock_fil...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-07 13:42 EDT by frywalker
Modified: 2012-11-29 16:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-17 04:53:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description frywalker 2012-06-07 13:42:49 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           jeu. 07 juin 2012 19:42:40 CEST

:SELinux is preventing /usr/bin/passwd from 'getattr' accesses on the sock_file /run/user/frywalker/keyring-Hlndxz/control.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that passwd should be allowed getattr access on the control sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep passwd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:gkeyringd_tmp_t:s0
:Target Objects                /run/user/frywalker/keyring-Hlndxz/control [
:                              sock_file ]
:Source                        passwd
:Source Path                   /usr/bin/passwd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           passwd-0.78.99-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    jeu. 07 juin 2012 19:40:25 CEST
:Last Seen                     jeu. 07 juin 2012 19:40:25 CEST
:Local ID                      be7dc003-0684-4f97-b257-e4e4c5c852e2
:Raw Audit Messages
:type=AVC msg=audit(1339090825.314:79917): avc:  denied  { getattr } for  pid=17086 comm="passwd" path="/run/user/frywalker/keyring-Hlndxz/control" dev="tmpfs" ino=20363 scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gkeyringd_tmp_t:s0 tclass=sock_file
:type=SYSCALL msg=audit(1339090825.314:79917): arch=x86_64 syscall=lstat success=no exit=EACCES a0=7fff817fd112 a1=7fff817fd080 a2=7fff817fd080 a3=6c61777972662f72 items=0 ppid=17080 pid=17086 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts4 ses=2 comm=passwd exe=/usr/bin/passwd subj=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 key=(null)
:Hash: passwd,passwd_t,gkeyringd_tmp_t,sock_file,getattr
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-06-22 04:46:37 EDT
Are you still getting this one?
Comment 2 Patrick Palka 2012-11-29 16:56:35 EST
I just received the same error from SELinux soon after successfully changing my user password with passwd. I am running the latest GNOME flavor of Fedora 17.

(The bugzilla bug reporting software sent me here.)

Note You need to log in before you can comment on or make changes to this bug.